<!-- /www/psets/3-notes-package/index.adp -->
<master>

<h1>Problem Set 3 "Notes Package"</h1>

<p>
This Problem Set introduces the concept of an OpenACS "package" software<br>
module and how packages can be installed and uninstalled at runtime. <br>
You will learn:
</p>
<br>

<ul>
<li>Package basics - SQL, Library and TCL pages
<li>How to install/uninstall a package
</ul>
<br>

<p>
<b>Please Note</b>: The example code of this package will only work in a
]project-open[ system. <br>
Please download the "VMware" virtual appliance from the Download section on<br>
<a href="http://sourceforge.net/projects/project-open/">http://sourceforge.net/projects/project-open/</a>
and run continue with that system.
</p>

<br>

<h1>Reference Material</h1>
<ul>
<li><a href="/doc/packages.html">Packages Intro</a>
<li><a href="/doc/apm-requirements.html">Package Manager Requirements Documentd</a>
<li><a href="/acs-admin/apm/">The Package Manager of this server</a>
<li><a href="/admin/site-map/">The Site Map of this server</a>
</ul>
<br>


<table border=0 cellspacing=4 cellpadding=4 width=600>

<tr valign=top>
<td colspan=5>
<h1>Excercises</h1>
<ul>
<li>Exercise 3.1 Create a new Notes package:<br>
    Use the package manager to create a new "singleton" package. 
    Add a dummy "index.adp" file in the package's /www/ directory 
    to check that everything is working.
    <br>&nbsp;
<li>Exercise 3.2 Convert the "2-Notes" example into a package:<br>
    Take the code from the previous problem set and insert it into your new
    package. Decide whether you want a "singleton package".
    <br>&nbsp;
<li>Exercise 3.3 Convert your singleton package into a multiple-mount package:<br>
    Multiple-mount package can be mounted several times in the system,
    typically for each subsite. Look at the "Calendar" package for an
    example of a multiple-mount package and modify your "Notes" accordingly.
    <br>&nbsp;
</ul>
</td>
</tr>



</table>

<br>
<p>
<a href="../index">Return to the Problem Set main page</a>
</p>
